=== debian/changelog ===
crack (5.0a-19) unstable; urgency=medium

  * Team upload.
  * Add autopkgtests.
  * d/control:
    - Add "libcrypt-dev" to Build-Depends (Closes: #1106983).
    - Remove Breaks and Replaces regarding ancient versions of crack.
    - Remove "Rules-Requires-Root: no", it's the standard nowadays.
  * d/Crack.make, d/p/Makefile.patch:
    - Fix passing the same build flags multiple times.
  * d/p/Makefile.patch:
    - Make sure src/libdes receives the same build flags as the rest of the
      source code.
    - Make sure src/libdes receives no CPPFLAGS duplicates.
  * d/p/*:
    - Update headers to modern DEP-3.
    - Add "Forwarded: not-needed" where missing.
    - Add field "Bug-Debian" where missing.
  * d/crack.lintian-overrides, d/crack-md5.lintian-overrides:
    - Get rid of lintian no-manual-page warning.
  * d/watch:
    - Convert it to version 5 format.
    - Rework Matching-Pattern making heavy use of special strings.

 -- Sven Geuer <sge@debian.org>  Wed, 17 Sep 2025 17:10:05 +0200

crack (5.0a-18) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with GCC-15 (Closes: #1096474).
    - /d/p/fix-incompatible-pointer-types.patch: Add one more fix required to
      make GCC-15 happy.
    - d/p/fix-more-function-declaration-errors.patch: Add this patch to fix
      several function declarations GCC-15 complains about.

 -- Sven Geuer <sge@debian.org>  Thu, 11 Sep 2025 22:45:29 +0200

crack (5.0a-17) unstable; urgency=medium

  * Team upload.
  * d/crack.links: Drop link /usr/share/Crack/conf (Closes: #1100678).
  * d/copyright: Bump Debian copyright years to 2025.
  * d/control: Bump Standards-Version to 4.7.2.
  * d/gbp.conf: Switch debian-branch to debian/unstable.

 -- Sven Geuer <sge@debian.org>  Mon, 17 Mar 2025 16:48:33 +0100

crack (5.0a-16) unstable; urgency=medium

  * Team upload.
  * d/p/fix-incompatible-pointer-types.patch:
    - Add patch correcting "long" to "time_t" to fix ftbfs with
      architectures armel, armhf, hppa, sh4 and x32.

 -- Sven Geuer <sge@debian.org>  Sun, 18 Aug 2024 12:44:50 +0200

crack (5.0a-15) unstable; urgency=medium

  * Team upload.
  * Add missing "Team upload." to previous changelog entry.
  * d/p/add-missing-stdlib.h.patch, d/p/fix-implicit-int.patch:
    - Add patches to fix ftbfs with gcc-14 (Closes: #1074890).
  * d/u/metadata: Rework metadata to comply with DEP-12.
  * d/control:
    - Update Homepage field.
    - Bump Standards-Version to 4.7.0.
  * d/copyright:
    Add email of upstream author Mark Murray.
    Add missing copyright holders to the debian/* stanza.

 -- Sven Geuer <sge@debian.org>  Sat, 17 Aug 2024 22:02:51 +0200

crack (5.0a-14) unstable; urgency=medium

  * Team upload.
  * Fix implicit-function-declaration errors. (Closes: #1066634)

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 27 May 2024 11:31:52 +0700

crack (5.0a-13.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Vagrant Cascadian ]
  * debian/Crack.make: Use dpkg-buildflags to set default CFLAGS.
    (Closes: #1021521)
  * src/util/Makefile: Remove embedded timestamps. (Closes: #1021522)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dpkg's buildtools.mk seed CC. (Closes: #952791)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Tue, 19 Dec 2023 15:43:43 -0800

crack (5.0a-13) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Giovani Augusto Ferreira ]
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper 11' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * dedian/Crack.make: added some GCC flags to improve hardening.
  * debian/control:
      - Added the field Rules-Requires-Root: no.
      - Bumped Standards version to 4.5.1.
  * debian/copyright: updated the packaging rights and years.
  * debian/source/lintian-overrides: removed, this uneedded now.
  * debian/watch: updated to secure URI.

  [ Samuel Henrique ]
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian

 -- Giovani Augusto Ferreira <giovani@debian.org>  Wed, 03 Feb 2021 18:09:40 -0300

crack (5.0a-12) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Giovani Augusto Ferreira ]
  * Update my email address
  * Bumped DH level to 11
  * Bumped Standards-Version to 4.1.4
  * Added upstream metadata file

 -- Giovani Augusto Ferreira <giovani@debian.org>  Tue, 05 Jun 2018 16:28:16 -0300

crack (5.0a-11) unstable; urgency=medium

  * New Maintainer. (Closes: #840047)
  * Acknowledge NMUs. (Closes: #380540, #387756, #668897,
                               #817319, #817411, #821976)
  * debian/control:
      - Added Vcs-* fields to new repository of forensics team.
      - Removed virtual package wordlist from Recommends field.
  * debian/copyright:
      - Update authors and years in packaging copyright place.
  * debian/patches/b64_shebang.patch:
      - Update patch header.
  * debian/patches/fix-spelling.patch:
      - Created to fix spelling error in some files.
  * debian/rules:
      - Removed the "-pie" to improve the GCC hardening.
      - Removed useless comments.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sun, 16 Oct 2016 17:50:27 -0200

crack (5.0a-10) unstable; urgency=low

  * QA upload.
    + Set Maintainer to Debian QA Group. (See #840047)
    + Create collab-maint git repo and add according Vcs-* headers.
  * Revamp debian/rules:
    + Drop now obsolete manual setting of variables like CFLAGS, etc.
    + Switch to a minimal dh v7 style debian/rules file.
    + Use debian/clean instead of manual calls to rm in clean target.
    + Use dh_auto_clean instead of manual call to make.
    + Replace override_dh_{auto_install,install{docs,examples,man}} with
      debian/crack*.{docs,examples,manpages,link,install}.

