=== debian/control ===
Source: crack
Section: admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Giovani Augusto Ferreira <giovani@debian.org>
Build-Depends: debhelper-compat (= 13),
               libcrypt-dev
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/pkg-security-team/crack.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/crack
Homepage: https://alecmuffett.com/alecm/software/crack/

Package: crack-common
Architecture: all
Depends: make,
         ${misc:Depends}
Description: Password guessing program (common files of all variants)
 Crack is program designed to quickly locate vulnerabilities
 in Unix (or other) password files by scanning the contents
 of a password file, looking for users who have misguidedly
 chosen a weak login password.
 .
 This package provides the common files for the crypt() and
 MD5 versions.

Package: crack
Architecture: any
Depends: crack-common,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: crack-md5
Description: Password guessing program (crypt() variant)
 Crack is program designed to quickly locate vulnerabilities
 in Unix (or other) password files by scanning the contents
 of a password file, looking for users who have misguidedly
 chosen a weak login password.
 .
 This package provides the runtime files for the crypt() version.

Package: crack-md5
Architecture: any
Depends: crack-common,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: crack
Provides: crack
Description: Password guessing program (MD5 variant)
 Crack is program designed to quickly locate vulnerabilities
 in Unix (or other) password files by scanning the contents
 of a password file, looking for users who have misguidedly
 chosen a weak login password.
 .
 This package provides the runtime files for the MD5 version.
