=== debian/tests/control ===
Tests: descrypt-crack
Depends: crack
Restrictions: needs-root

Tests: md5-crack
Depends: crack-md5
Restrictions: needs-root
