=== debian/watch ===
Version: 5

Source: https://dropsafe.crypticide.com/alecm/software/crack/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
